﻿using Android.App;
using Android.Content.PM;
using Android.Gms.Ads;
using Android.OS;

namespace TestProject;

/// <summary>
/// 메인 액티비티
/// </summary>
[
    Activity
    (
        Theme                = "@style/Maui.SplashTheme",
        MainLauncher         = true,
        ConfigurationChanges = ConfigChanges.ScreenSize         |
                               ConfigChanges.Orientation        |
                               ConfigChanges.UiMode             |
                               ConfigChanges.ScreenLayout       |
                               ConfigChanges.SmallestScreenSize |
                               ConfigChanges.Density
    )
]
public class MainActivity : MauiAppCompatActivity
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region 생성시 처리하기 - OnCreate(savedInstanceState)

    /// <summary>
    /// 생성시 처리하기
    /// </summary>
    /// <param name="savedInstanceState">저장 인스턴스 상태</param>
    protected override void OnCreate(Bundle savedInstanceState)
    {
        base.OnCreate(savedInstanceState);

        MobileAds.Initialize(this);
    }

    #endregion
}