﻿using Foundation;
using Google.MobileAds;
using UIKit;

namespace TestProject;

/// <summary>
/// 앱 대리자
/// </summary>
[Register("AppDelegate")]
public class AppDelegate : MauiUIApplicationDelegate
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 런칭 완료시 처리하기 - FinishedLaunching(application, launchOptions)

    /// <summary>
    /// 런칭 완료시 처리하기
    /// </summary>
    /// <param name="application">애플리케이션</param>
    /// <param name="launchOptions">런치 옵션</param>
    /// <returns>처리 결과</returns>
    public override bool FinishedLaunching(UIApplication application, NSDictionary launchOptions)
    {
        MobileAds.SharedInstance.Start(CompletionHandler);

        return base.FinishedLaunching(application, launchOptions);
    }

    #endregion

    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region MUI 앱 생성하기 - CreateMauiApp()

    /// <summary>
    /// MUI 앱 생성하기
    /// </summary>
    /// <returns>MUI 앱</returns>
    protected override MauiApp CreateMauiApp() => MauiProgram.CreateMauiApp();

    #endregion

    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 완료 처리기 - CompletionHandler(status)

    /// <summary>
    /// 완료 처리기
    /// </summary>
    /// <param name="status">상태</param>
    private void CompletionHandler(InitializationStatus status)
    {
    }

    #endregion
}